Summary: An X Input Method Server for Chinese.
Name: xcin
Version: 2.5.2.3
Release: 6
Copyright: GPL
Group: User Interface/X
# Original source is gziped
Source0: ftp://xcin.linux.org.tw/pub/xcin/xcin/%{name}-%{version}.tar.bz2
Source2: xcin.xpm
Source3: xcin.wrap
Patch1:  xcinrc-patch.gz
Patch2:  xcin-2.5.2-phonegb2.patch.gz
Requires: libtabe >= 0.2
BuildPrereq: db2-devel,libtabe-devel
Buildroot: /var/tmp/%{name}-buildroot

%description
An X Input Method Server for Chinese.


%prep

rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}
%patch1 -p1 -b .xcinrc 
%patch2 -p1 -b .phonegb2

(cd po; \
OLD_PO_FILE_INPUT=yes msgmerge xcin-zh_TW.po xcin.pot > new.po; \
mv new.po xcin-zh_TW.po; \
)

%build
%ifarch ia64
cp /usr/share/libtool/config.sub $RPM_BUILD_DIR/%{name}/script/
cp /usr/share/libtool/config.guess $RPM_BUILD_DIR/%{name}/script/
%endif
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=/usr/X11R6 --with-xcin-dir=/usr/X11R6/lib/X11/xcin \
	--with-xcin-rcdir=/etc/chinese/xcin \
	--with-localedir=/usr/share/locale
make
( cd po; msgfmt -o xcin.mo xcin-zh_TW.po )

%install

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xcin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/etc/chinese/xcin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xcin/tab
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man

#export xcin_binp=$RPM_BUILD_ROOT/usr/X11R6/bin
#export xcin_libp=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/xcin
#export xcin_rcp=$RPM_BUILD_ROOT/etc/chinese/xcin
#export xcin_datap=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/xcin/tab
#export xcin_manp=$RPM_BUILD_ROOT/usr/X11R6/man
# export INSTALL_PROGRAM="/usr/bin/install -c"
export program_prefix=$RPM_BUILD_ROOT
export xcin_rcp=$RPM_BUILD_ROOT/etc/chinese/xcin
make -e install

mkdir -p $RPM_BUILD_ROOT/usr/share/icons/
mkdir -p $RPM_BUILD_ROOT/usr/share/gnome/apps/Utilities/
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/zh_TW/LC_MESSAGES/

install -m 644 $RPM_SOURCE_DIR/xcin.xpm \
		$RPM_BUILD_ROOT/usr/share/icons/xcin.xpm
install -m 644 po/xcin.mo $RPM_BUILD_ROOT/usr/share/locale/zh_TW/LC_MESSAGES/xcin.mo

%files
%defattr(-,root,root)
%doc doc/* 
%dir /etc/chinese/xcin
%config(noreplace) /etc/chinese/xcin/xcinrc
/usr/X11R6/bin/*
/usr/X11R6/lib/X11/xcin/
/usr/share/icons/xcin.xpm
%lang(zh_TW) /usr/share/locale/zh_TW/LC_MESSAGES/xcin.mo

%clean 
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug  2 2001 Yukihiro Nakai <ynakai@redhat.com>
- Remove wmconfig file. (#50110)

* Mon Jul 30 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add (noreplace) to %%config (#50110)

* Fri Jul 27 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add %%lang (#50110)
- Add %%config for xcin.wm (#50110)

* Tue Jul 17 2001 Yukihiro Nakai <ynakai@redhat.com>
- Delete .desktop (#48780)
- Add db2-devel to BuildPrereq. (#48918)

* Wed Jul 11 2001 Jonathan Blandford <jrb@redhat.com>
- moved .desktop file from 'Chinese' to 'Utilities'

* Sun Jul  8 2001 Tim Powers <timp@redhat.com>
- don't have sgid root dirs

* Mon Jun 18 2001 Yukihiro Nakai <ynakai@redhat.com>
- Rebuild against Red Hat 7.2
- Add ia64 support.

* Tue Dec 05 2000 Chung-Yen Chang <candyz@cle.linux.org.tw>
- Rebuild for Red Hat 7.0
- Add BuildRequires Requires

* Mon Oct 30 2000 Chung-Yen Chang <candyz@cle.linux.org.tw>
- update to 2.5.2.1

* Mon Oct 16 2000 Chung-Yen Chang <candyz@cle.linux.org.tw>
- update to 2.5.2

* Tue Oct 10 2000 Chung-Yen Chang <candyz@cle.linux.org.tw>
- update to 2.5.2-pre6.diff1

* Sun Oct 08 2000 Chung-Yen Chang <candyz@cle.linux.org.tw>
- update to 2.5.2-pre6

* Mon Sep 04 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- fix missing icon in xcin.desktop and xcin.wm
- apply xcin-2.5.2.pre5.diff3

* Fri Aug 25 2000 Chung-Yen Chang <candyz@cle.linux.org.tw>
- update to 2.5.2-pre5

* Sun Apr 23 2000 Andrew Lee <andrew@cle.linux.org.tw>
- change xcin directory to /usr/X11R6/lib/X11/xcin/
- path fix

* Fri Apr 21 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update 2.5.2-pre3
- set OverTheSpot enable default

* Tue Feb 29 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- update 2.5.2-pre2

* Fri Feb 18 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update 2.5.2-pre1

* Thu Feb 10 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- remove kdelnk, modify xcin.desktop

* Tue Jan 25 2000 Andrew Lee <andrew@cle.linux.org.tw>
- add bimsphone module patch

* Mon Jan 24 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update xcin-2.5-20000124
- add non-autoselect bimsphone 
- add phonegb2

* Thu Jan 6 2000 Andrew Lee <andrew@cle.linux.org.tw>
- rebuild for yami

* Mon Jan  3 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update xcin-2.5-20000103

* Mon Dec 13 1999 Andrew Lee <andrew@cle.linux.org.tw>
- Patch a bug (gui.c)

* Mon Nov 29 1999 Andrew Lee <Andrew@nssh.tpc.edu.tw>
- update xcin-2.5-19991128

* Thu Nov 25 1999 Andrew Lee <Andrew@nssh.tpc.edu.tw>
- update xcin-2.5-19991109
- fix cin2tab rcfile bug

* Mon Nov 22 1999 Andrew Lee <Andrew@nssh.tpc.edu.tw>
- rebuild for mandrake
- patch cin/Makefile path

* Thu Aug 26 1999 Cheng Yuan-Cheng <platin@linux.org.tw>
- for xcin-2.5.1
- menu entry for GNOME and KDE were added...

* Sat Jun 19 1999 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- for xcin-2.5.0-pre3

* Sun May  2 1999 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- frist build xcin-2.5

